﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DlhSoft.Windows.Data;
using System.IO;
using System.Diagnostics;

namespace TaskManagerProjectXmlSample
{
    class Program
    {
        static void Main(string[] args)
        {
            // Create and configure the project management service provider.
            TaskManager taskManager = new TaskManager();

            // Import tasks from a Project XML file.
            Console.WriteLine("Loading project from InputProject.xml...");
            using (var inputStream = File.OpenRead("InputProject.xml"))
            {
                taskManager.LoadProjectXml(inputStream);
            }

            // Optionally, access basic and project management services of the component as required in your application.
            DateTime projectStart = taskManager.GetProjectStart();
            Console.WriteLine("Leveling resources...");
            taskManager.LevelResources(projectStart);

            // Export tasks to a Project XML file.
            Console.WriteLine("Saving updated project to OutputProject.xml...");
            using (var outputStream = File.OpenWrite("OutputProject.xml"))
            {
                taskManager.SaveProjectXml(outputStream);
            }

            // Optionally, open the output XML file.
            Process.Start("OutputProject.xml");
        }
    }
}
